> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get or create Invoice Render Settings

> Returns invoice render settings or creates new settings if they do not exist



## OpenAPI

````yaml invoices.2024-07-30.product.live GET /invoices/render-settings
openapi: 3.0.0
info:
  title: Invoices
  description: Create and issue invoices
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /invoices/render-settings:
    servers: []
    parameters: []
    get:
      tags:
        - Invoice Settings
      summary: Get or create Invoice Render Settings
      description: >-
        Returns invoice render settings or creates new settings if they do not
        exist
      operationId: getInvoicesRenderSettings
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetOrCreateInvoiceRenderSettingsEndpointProductCreateInvoiceRenderSettingsResponseModel
                example:
                  id: 385f41ab-51f9-49c2-8f25-358545106b88
                  paymentLinkDisplay: SHOW_PAYMENT_LINK
              examples:
                GetOrCreateInvoiceRenderSettingsEndpointProductCreateInvoiceRenderSettingsResponseModel:
                  summary: ''
                  value:
                    id: 385f41ab-51f9-49c2-8f25-358545106b88
                    paymentLinkDisplay: SHOW_PAYMENT_LINK
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    GetOrCreateInvoiceRenderSettingsEndpointProductCreateInvoiceRenderSettingsResponseModel:
      required:
        - id
        - paymentLinkDisplay
      type: object
      example:
        id: 385f41ab-51f9-49c2-8f25-358545106b88
        paymentLinkDisplay: SHOW_PAYMENT_LINK
      properties:
        id:
          type: string
          description: Invoice settings ID
          example: 385f41ab-51f9-49c2-8f25-358545106b88
        paymentLinkDisplay:
          $ref: '#/components/schemas/PaymentLinkDisplayOption'
          description: >-
            Payment link display preference. By default, the payment link is
            shown.
    PaymentLinkDisplayOption:
      type: string
      example: SHOW_PAYMENT_LINK
      enum:
        - SHOW_PAYMENT_LINK
        - HIDE_PAYMENT_LINK

````